namespace LeetCode.Logic;

public class PalindromeString
{
    public bool IsPalindrome(string s)
    {
        if (string.IsNullOrWhiteSpace(s)) return false;
        
        var reversed = s.Reverse();
        
        return reversed.SequenceEqual(s);
    }
    
}